package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author yanglin
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum CardElementType implements CodeDefinition<String> {

    TEXT("文本"),
    ICON("图标"),
    IMAGE("图片"),
    ;

    private final String description;

    @Override
    public String getCode() {
        return name();
    }

}